
import time
#
from System.Collections.Generic import List
from System import Byte, Int32
#
MaxRange = 4
#
def Enchanted_grove(location=3):
    #
    if Gumps.CurrentGump() != 3971414059:
        Misc.SendMessage("Current gump is {} s.n. {}".format(Gumps.CurrentGump(), 3971414059))
        Items.UseItemByID(0x0EFA, 0x048c)
    Gumps.WaitForGump(3971414059, 6000)
    if Gumps.HasGump():
        Gumps.SendAction(3971414059, 2010)
        Target.WaitForTarget(8000)
        if Target.HasTarget():
            Target.TargetExecuteRelative(Player.Serial, location)
            Misc.Pause(2000)
#
GroveDelay = 0
def CheckNumberOfGroves(minGroves):
    #
    global GroveDelay
    grove_filter = Items.Filter()
    grove_filter.RangeMax = MaxRange
    grove_filter.OnGround = True
    grove_filter.Graphics = List[int]([ 0x08E3 ])
    groves = Items.ApplyFilter(grove_filter)
    Misc.SendMessage("Number Groves: {}".format(len(groves)))
    num_groves = len(groves)
    if num_groves == 0:
        dir = "Left"
        GroveDelay = time.time()+30
    elif num_groves == 1:
        if time.time() < GroveDelay:
            return
        dir = "Right"
    else:    
        grove = groves[0]
        if grove.Position.X < Player.Position.X:
            dir = "Right"
        else:    
            dir = "Left"
    Misc.SendMessage(dir)   
    #if Player.Direction != dir:
    #    Player.Walk(dir)        
    if num_groves < minGroves:    
        Enchanted_grove(2)
    #    
#           
def Volcanic_eruption(location=0):
    #
    if Gumps.CurrentGump() != 3971414059:
        Misc.SendMessage("Current gump is {} s.n. {}".format(Gumps.CurrentGump(), 3971414059))
        Items.UseItemByID(0x0EFA, 0x048c)
    Gumps.WaitForGump(3971414059, 6000)
    if Gumps.HasGump():    
        Gumps.SendAction(3971414059, 2007)
        Misc.Pause(1000)
        Gumps.SendAction(3971414059, 2007)        
        Target.WaitForTarget(4000)
        if Target.HasTarget():
            Target.TargetExecuteRelative(Player.Serial, location)
            Misc.Pause(2000)
    #

while True:
    Items.UseItemByID(0x0EFA, 0x048c)    
    Volcanic_eruption(5)
    CheckNumberOfGroves(2)
    Volcanic_eruption(-5)
    Misc.Pause(1000)
    